Reply to topic

Remmina and kio-extras won't install

ther
Registered Member
Posts
6
Karma
0
Updating kde neon monday 25.11.2019 08:00 central Europe local time.

Broken kio-extras:amd64 Depend od on libssh-4:amd64 < 0.9.0-1+18.04+bionic+build1 @ii mR >
Considering libssh-4:amd64 10003 as a solution to kio-extras:amd64 13
Removing kio-extras:amd64 rather than change libssh-4:amd64
Investigating (4) remmina:amd64 < none -> 1.2.0-rcgit.29+dfsg-1ubuntu1 @un puN Ib >
Broken remmina:amd64 Depend od on libssh-4:amd64 < 0.9.0-1+18.04+bionic+build1 @ii mR > (>= 0.6.1)
Considering libssh-4:amd64 10003 as a solution to remmina:amd64 10003
Considering libssh-4:amd64 10003 as a solution to remmina:amd64 10003
Considering libssh-4:amd64 10003 as a solution to remmina:amd64 10003

Temporary solution: sudo apt install libssh-4=0.8.0~20170825.94fa1e38-1ubuntu0.2

by
TheR
timonoj
Registered Member
Posts
14
Karma
0
Hi...good to see someone also mentioning it here. Just to add, it's not just remmina that got messed by this libssh-4, also x2go-client depends on it, and got messed.

There's this super unhelpful bug report that has been closed without a fix:
https://bugs.kde.org/show_bug.cgi?id=414382

Not sure where to go from that. Also couldn't quite figure out why did they do it this way.
timonoj
Registered Member
Posts
14
Karma
0
So...some guys on ubuntuforums helped me figure out how to fix it. The solution is simple...just revert back the package to the previous version.

To list available versions:
Code: Select all
apt-cache showpkg libssh-4


Then in my case seems the previous most recent version is:
Code: Select all
sudo apt install libssh-4=0.8.0~20170825.94fa1e38-1ubuntu0.2


After this, I can successfully install again my x2goclient, so you should be able to install remmina as well :)
But of course, now ubuntu wants to immediately update the package...so finally:
Code: Select all
sudo apt-mark hold libssh-4

In order to hold the library at the current version, at least for the time being.
User avatar claydoh
Registered Member
Posts
499
Karma
5
OS
Another option is to install a more up to date version of Remmina
https://remmina.org/how-to-install-remmina/


claydoh, proud to be a member of KDE forums since 2008-Oct, and KDE user since 2001
sstaeglich
Registered Member
Posts
40
Karma
0
The behavior of KDE neon is very annoying. Maybe I should look for an other distribution where I can get updated KDE packages without living with the possibility of breaking everything else. Seems KDE Neon wants to copy Microsoft.

Any suggestions? Ideally it's Debian based.

EDIT: For the record: It's not a big deal to rebuild the x2goclient package with libssh4 0.9. At least not bigger than adding this **** line:
Code: Select all
Breaks: remmina (<< 1.2.31.2+dfsg-1+), remmina-plugin-nx (<< 1.2.31.2+dfsg-1+), x2goclient (<< 4.1.2.1-1+)

 
Reply to topic

Bookmarks



Who is online

Registered users: Baidu [Spider], Bing [Bot], Google [Bot], Mamarok, ronthomas, Sogou [Bot]